# pylint: disable=too-many-lines
# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AadAuthenticationParameters,
    Action,
    ActiveBaseSecurityAdminRule,
    ActiveConfigurationParameter,
    ActiveConnectivityConfiguration,
    ActiveConnectivityConfigurationsListResult,
    ActiveDefaultSecurityAdminRule,
    ActiveSecurityAdminRule,
    ActiveSecurityAdminRulesListResult,
    AddressPrefixItem,
    AddressSpace,
    AdminRule,
    AdminRuleCollection,
    AdminRuleCollectionListResult,
    AdminRuleListResult,
    AdvertisedPublicPrefixProperties,
    ApplicationGateway,
    ApplicationGatewayAuthenticationCertificate,
    ApplicationGatewayAutoscaleConfiguration,
    ApplicationGatewayAvailableSslOptions,
    ApplicationGatewayAvailableSslPredefinedPolicies,
    ApplicationGatewayAvailableWafRuleSetsResult,
    ApplicationGatewayBackendAddress,
    ApplicationGatewayBackendAddressPool,
    ApplicationGatewayBackendHealth,
    ApplicationGatewayBackendHealthHttpSettings,
    ApplicationGatewayBackendHealthOnDemand,
    ApplicationGatewayBackendHealthPool,
    ApplicationGatewayBackendHealthServer,
    ApplicationGatewayBackendHttpSettings,
    ApplicationGatewayBackendSettings,
    ApplicationGatewayClientAuthConfiguration,
    ApplicationGatewayConnectionDraining,
    ApplicationGatewayCustomError,
    ApplicationGatewayFirewallDisabledRuleGroup,
    ApplicationGatewayFirewallExclusion,
    ApplicationGatewayFirewallManifestRuleSet,
    ApplicationGatewayFirewallRule,
    ApplicationGatewayFirewallRuleGroup,
    ApplicationGatewayFirewallRuleSet,
    ApplicationGatewayForContainersReferenceDefinition,
    ApplicationGatewayFrontendIPConfiguration,
    ApplicationGatewayFrontendPort,
    ApplicationGatewayGlobalConfiguration,
    ApplicationGatewayHeaderConfiguration,
    ApplicationGatewayHttpListener,
    ApplicationGatewayIPConfiguration,
    ApplicationGatewayListResult,
    ApplicationGatewayListener,
    ApplicationGatewayLoadDistributionPolicy,
    ApplicationGatewayLoadDistributionTarget,
    ApplicationGatewayOnDemandProbe,
    ApplicationGatewayPathRule,
    ApplicationGatewayPrivateEndpointConnection,
    ApplicationGatewayPrivateEndpointConnectionListResult,
    ApplicationGatewayPrivateLinkConfiguration,
    ApplicationGatewayPrivateLinkIpConfiguration,
    ApplicationGatewayPrivateLinkResource,
    ApplicationGatewayPrivateLinkResourceListResult,
    ApplicationGatewayProbe,
    ApplicationGatewayProbeHealthResponseMatch,
    ApplicationGatewayRedirectConfiguration,
    ApplicationGatewayRequestRoutingRule,
    ApplicationGatewayRewriteRule,
    ApplicationGatewayRewriteRuleActionSet,
    ApplicationGatewayRewriteRuleCondition,
    ApplicationGatewayRewriteRuleSet,
    ApplicationGatewayRoutingRule,
    ApplicationGatewaySku,
    ApplicationGatewaySslCertificate,
    ApplicationGatewaySslPolicy,
    ApplicationGatewaySslPredefinedPolicy,
    ApplicationGatewaySslProfile,
    ApplicationGatewayTrustedClientCertificate,
    ApplicationGatewayTrustedRootCertificate,
    ApplicationGatewayUrlConfiguration,
    ApplicationGatewayUrlPathMap,
    ApplicationGatewayWafDynamicManifestResult,
    ApplicationGatewayWafDynamicManifestResultList,
    ApplicationGatewayWebApplicationFirewallConfiguration,
    ApplicationRule,
    ApplicationSecurityGroup,
    ApplicationSecurityGroupListResult,
    AuthorizationListResult,
    AutoApprovedPrivateLinkService,
    AutoApprovedPrivateLinkServicesResult,
    Availability,
    AvailableDelegation,
    AvailableDelegationsResult,
    AvailablePrivateEndpointType,
    AvailablePrivateEndpointTypesResult,
    AvailableProvidersList,
    AvailableProvidersListCity,
    AvailableProvidersListCountry,
    AvailableProvidersListParameters,
    AvailableProvidersListState,
    AvailableServiceAlias,
    AvailableServiceAliasesResult,
    AzureAsyncOperationResult,
    AzureFirewall,
    AzureFirewallApplicationRule,
    AzureFirewallApplicationRuleCollection,
    AzureFirewallApplicationRuleProtocol,
    AzureFirewallAutoscaleConfiguration,
    AzureFirewallFqdnTag,
    AzureFirewallFqdnTagListResult,
    AzureFirewallIPConfiguration,
    AzureFirewallIpGroups,
    AzureFirewallListResult,
    AzureFirewallNatRCAction,
    AzureFirewallNatRule,
    AzureFirewallNatRuleCollection,
    AzureFirewallNetworkRule,
    AzureFirewallNetworkRuleCollection,
    AzureFirewallPacketCaptureFlags,
    AzureFirewallPacketCaptureRule,
    AzureFirewallPublicIPAddress,
    AzureFirewallRCAction,
    AzureFirewallSku,
    AzureReachabilityReport,
    AzureReachabilityReportItem,
    AzureReachabilityReportLatencyInfo,
    AzureReachabilityReportLocation,
    AzureReachabilityReportParameters,
    AzureWebCategory,
    AzureWebCategoryListResult,
    BGPCommunity,
    BackendAddressInboundNatRulePortMappings,
    BackendAddressPool,
    BaseAdminRule,
    BastionActiveSession,
    BastionActiveSessionListResult,
    BastionHost,
    BastionHostIPConfiguration,
    BastionHostListResult,
    BastionHostPropertiesFormatNetworkAcls,
    BastionSessionDeleteResult,
    BastionSessionState,
    BastionShareableLink,
    BastionShareableLinkListRequest,
    BastionShareableLinkListResult,
    BastionShareableLinkTokenListRequest,
    BgpConnection,
    BgpPeerStatus,
    BgpPeerStatusListResult,
    BgpServiceCommunity,
    BgpServiceCommunityListResult,
    BgpSettings,
    BreakOutCategoryPolicies,
    CheckPrivateLinkServiceVisibilityRequest,
    ChildResource,
    CircuitMetadataMap,
    CloudErrorBody,
    CommonErrorAdditionalInfo,
    CommonErrorDetail,
    CommonErrorResponse,
    CommonProxyResource,
    CommonResource,
    CommonTrackedResource,
    Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalproperties,
    ConfigurationGroup,
    ConnectionMonitor,
    ConnectionMonitorDestination,
    ConnectionMonitorEndpoint,
    ConnectionMonitorEndpointFilter,
    ConnectionMonitorEndpointFilterItem,
    ConnectionMonitorEndpointLocationDetails,
    ConnectionMonitorEndpointScope,
    ConnectionMonitorEndpointScopeItem,
    ConnectionMonitorHttpConfiguration,
    ConnectionMonitorIcmpConfiguration,
    ConnectionMonitorListResult,
    ConnectionMonitorOutput,
    ConnectionMonitorParameters,
    ConnectionMonitorQueryResult,
    ConnectionMonitorResult,
    ConnectionMonitorResultProperties,
    ConnectionMonitorSource,
    ConnectionMonitorSuccessThreshold,
    ConnectionMonitorTcpConfiguration,
    ConnectionMonitorTestConfiguration,
    ConnectionMonitorTestGroup,
    ConnectionMonitorWorkspaceSettings,
    ConnectionResetSharedKey,
    ConnectionSharedKey,
    ConnectionSharedKeyResult,
    ConnectionSharedKeyResultList,
    ConnectionStateSnapshot,
    ConnectivityConfiguration,
    ConnectivityConfigurationListResult,
    ConnectivityConfigurationPropertiesConnectivityCapabilities,
    ConnectivityDestination,
    ConnectivityGroupItem,
    ConnectivityHop,
    ConnectivityInformation,
    ConnectivityIssue,
    ConnectivityParameters,
    ConnectivitySource,
    Container,
    ContainerNetworkInterface,
    ContainerNetworkInterfaceConfiguration,
    ContainerNetworkInterfaceIpConfiguration,
    Criterion,
    CrossTenantScopes,
    CustomDnsConfigPropertiesFormat,
    CustomIpPrefix,
    CustomIpPrefixListResult,
    DdosCustomPolicy,
    DdosProtectionPlan,
    DdosProtectionPlanListResult,
    DdosSettings,
    DefaultAdminRule,
    Delegation,
    DelegationProperties,
    DeviceProperties,
    DhcpOptions,
    Dimension,
    DnsNameAvailabilityResult,
    DnsSettings,
    DscpConfiguration,
    DscpConfigurationListResult,
    EffectiveBaseSecurityAdminRule,
    EffectiveConnectivityConfiguration,
    EffectiveDefaultSecurityAdminRule,
    EffectiveNetworkSecurityGroup,
    EffectiveNetworkSecurityGroupAssociation,
    EffectiveNetworkSecurityGroupListResult,
    EffectiveNetworkSecurityRule,
    EffectiveRoute,
    EffectiveRouteListResult,
    EffectiveRouteMapRoute,
    EffectiveRouteMapRouteList,
    EffectiveRoutesParameters,
    EffectiveSecurityAdminRule,
    EndpointServiceResult,
    EndpointServicesListResult,
    Error,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorDetails,
    ErrorResponse,
    EvaluatedNetworkSecurityGroup,
    ExceptionEntry,
    ExclusionManagedRule,
    ExclusionManagedRuleGroup,
    ExclusionManagedRuleSet,
    ExplicitProxy,
    ExpressRouteCircuit,
    ExpressRouteCircuitArpTable,
    ExpressRouteCircuitAuthorization,
    ExpressRouteCircuitConnection,
    ExpressRouteCircuitConnectionListResult,
    ExpressRouteCircuitListResult,
    ExpressRouteCircuitPeering,
    ExpressRouteCircuitPeeringConfig,
    ExpressRouteCircuitPeeringId,
    ExpressRouteCircuitPeeringListResult,
    ExpressRouteCircuitReference,
    ExpressRouteCircuitRoutesTable,
    ExpressRouteCircuitRoutesTableSummary,
    ExpressRouteCircuitServiceProviderProperties,
    ExpressRouteCircuitSku,
    ExpressRouteCircuitStats,
    ExpressRouteCircuitsArpTableListResult,
    ExpressRouteCircuitsRoutesTableListResult,
    ExpressRouteCircuitsRoutesTableSummaryListResult,
    ExpressRouteConnection,
    ExpressRouteConnectionId,
    ExpressRouteConnectionList,
    ExpressRouteCrossConnection,
    ExpressRouteCrossConnectionListResult,
    ExpressRouteCrossConnectionPeering,
    ExpressRouteCrossConnectionPeeringList,
    ExpressRouteCrossConnectionRoutesTableSummary,
    ExpressRouteCrossConnectionsRoutesTableSummaryListResult,
    ExpressRouteFailoverCircuitResourceDetails,
    ExpressRouteFailoverConnectionResourceDetails,
    ExpressRouteFailoverRedundantRoute,
    ExpressRouteFailoverSingleTestDetails,
    ExpressRouteFailoverStopApiParameters,
    ExpressRouteFailoverTestDetails,
    ExpressRouteGateway,
    ExpressRouteGatewayList,
    ExpressRouteGatewayPropertiesAutoScaleConfiguration,
    ExpressRouteGatewayPropertiesAutoScaleConfigurationBounds,
    ExpressRouteLink,
    ExpressRouteLinkListResult,
    ExpressRouteLinkMacSecConfig,
    ExpressRoutePort,
    ExpressRoutePortAuthorization,
    ExpressRoutePortAuthorizationListResult,
    ExpressRoutePortListResult,
    ExpressRoutePortsLocation,
    ExpressRoutePortsLocationBandwidths,
    ExpressRoutePortsLocationListResult,
    ExpressRouteProviderPort,
    ExpressRouteProviderPortListResult,
    ExpressRouteServiceProvider,
    ExpressRouteServiceProviderBandwidthsOffered,
    ExpressRouteServiceProviderListResult,
    ExtendedLocation,
    FailoverConnectionDetails,
    FilterItems,
    FirewallPacketCaptureParameters,
    FirewallPolicy,
    FirewallPolicyCertificateAuthority,
    FirewallPolicyDraft,
    FirewallPolicyFilterRuleCollection,
    FirewallPolicyFilterRuleCollectionAction,
    FirewallPolicyHttpHeaderToInsert,
    FirewallPolicyInsights,
    FirewallPolicyIntrusionDetection,
    FirewallPolicyIntrusionDetectionBypassTrafficSpecifications,
    FirewallPolicyIntrusionDetectionConfiguration,
    FirewallPolicyIntrusionDetectionSignatureSpecification,
    FirewallPolicyListResult,
    FirewallPolicyLogAnalyticsResources,
    FirewallPolicyLogAnalyticsWorkspace,
    FirewallPolicyNatRuleCollection,
    FirewallPolicyNatRuleCollectionAction,
    FirewallPolicyRule,
    FirewallPolicyRuleApplicationProtocol,
    FirewallPolicyRuleCollection,
    FirewallPolicyRuleCollectionGroup,
    FirewallPolicyRuleCollectionGroupDraft,
    FirewallPolicyRuleCollectionGroupListResult,
    FirewallPolicySNAT,
    FirewallPolicySQL,
    FirewallPolicySku,
    FirewallPolicyThreatIntelWhitelist,
    FirewallPolicyTransportSecurity,
    FlowLog,
    FlowLogFormatParameters,
    FlowLogInformation,
    FlowLogListResult,
    FlowLogStatusParameters,
    FrontendIPConfiguration,
    GatewayCustomBgpIpAddressIpConfiguration,
    GatewayLoadBalancerTunnelInterface,
    GatewayResiliencyInformation,
    GatewayResiliencyRecommendation,
    GatewayRoute,
    GatewayRouteListResult,
    GatewayRouteSet,
    GatewayRouteSetsInformation,
    GenerateExpressRoutePortsLOARequest,
    GenerateExpressRoutePortsLOAResult,
    GetInboundRoutesParameters,
    GetOutboundRoutesParameters,
    GetVpnSitesConfigurationRequest,
    GroupByUserSession,
    GroupByVariable,
    HTTPConfiguration,
    HTTPHeader,
    HeaderValueMatcher,
    HopLink,
    Hub,
    HubIPAddresses,
    HubIpConfiguration,
    HubPublicIPAddresses,
    HubRoute,
    HubRouteTable,
    HubVirtualNetworkConnection,
    IDPSQueryObject,
    IPAddressAvailabilityResult,
    IPConfiguration,
    IPConfigurationBgpPeeringAddress,
    IPConfigurationProfile,
    IPPrefixesList,
    IPRule,
    IPTraffic,
    InboundNatPool,
    InboundNatRule,
    InboundNatRuleListResult,
    InboundNatRulePortMapping,
    InboundSecurityRule,
    InboundSecurityRules,
    IntentContent,
    InternetIngressPublicIpsProperties,
    IpAllocation,
    IpAllocationListResult,
    IpGroup,
    IpGroupListResult,
    IpTag,
    IpamPool,
    IpamPoolList,
    IpamPoolPrefixAllocation,
    IpamPoolProperties,
    IpamPoolUpdate,
    IpamPoolUpdateProperties,
    IpsecPolicy,
    Ipv6CircuitConnectionConfig,
    Ipv6ExpressRouteCircuitPeeringConfig,
    ListHubRouteTablesResult,
    ListHubVirtualNetworkConnectionsResult,
    ListP2SVpnGatewaysResult,
    ListRouteMapsResult,
    ListRoutingIntentResult,
    ListVirtualHubBgpConnectionResults,
    ListVirtualHubIpConfigurationResults,
    ListVirtualHubRouteTableV2SResult,
    ListVirtualHubsResult,
    ListVirtualNetworkGatewayNatRulesResult,
    ListVirtualWANsResult,
    ListVpnConnectionsResult,
    ListVpnGatewayNatRulesResult,
    ListVpnGatewaysResult,
    ListVpnServerConfigurationPolicyGroupsResult,
    ListVpnServerConfigurationsResult,
    ListVpnSiteLinkConnectionsResult,
    ListVpnSiteLinksResult,
    ListVpnSitesResult,
    LoadBalancer,
    LoadBalancerBackendAddress,
    LoadBalancerBackendAddressPoolListResult,
    LoadBalancerFrontendIPConfigurationListResult,
    LoadBalancerHealthPerRule,
    LoadBalancerHealthPerRulePerBackendAddress,
    LoadBalancerListResult,
    LoadBalancerLoadBalancingRuleListResult,
    LoadBalancerOutboundRuleListResult,
    LoadBalancerProbeListResult,
    LoadBalancerSku,
    LoadBalancerVipSwapRequest,
    LoadBalancerVipSwapRequestFrontendIPConfiguration,
    LoadBalancingRule,
    LocalNetworkGateway,
    LocalNetworkGatewayListResult,
    LogSpecification,
    ManagedRuleGroupOverride,
    ManagedRuleOverride,
    ManagedRuleSet,
    ManagedRuleSetRuleGroup,
    ManagedRulesDefinition,
    ManagedServiceIdentity,
    MatchCondition,
    MatchVariable,
    MatchedRule,
    MetricSpecification,
    MigrateLoadBalancerToIpBasedRequest,
    MigratedPools,
    NatGateway,
    NatGatewayListResult,
    NatGatewaySku,
    NatRule,
    NatRulePortMapping,
    NetworkConfigurationDiagnosticParameters,
    NetworkConfigurationDiagnosticProfile,
    NetworkConfigurationDiagnosticResponse,
    NetworkConfigurationDiagnosticResult,
    NetworkGroup,
    NetworkGroupListResult,
    NetworkIntentPolicy,
    NetworkIntentPolicyConfiguration,
    NetworkInterface,
    NetworkInterfaceAssociation,
    NetworkInterfaceDnsSettings,
    NetworkInterfaceIPConfiguration,
    NetworkInterfaceIPConfigurationListResult,
    NetworkInterfaceIPConfigurationPrivateLinkConnectionProperties,
    NetworkInterfaceListResult,
    NetworkInterfaceLoadBalancerListResult,
    NetworkInterfaceTapConfiguration,
    NetworkInterfaceTapConfigurationListResult,
    NetworkManager,
    NetworkManagerCommit,
    NetworkManagerConnection,
    NetworkManagerConnectionListResult,
    NetworkManagerDeploymentStatus,
    NetworkManagerDeploymentStatusListResult,
    NetworkManagerDeploymentStatusParameter,
    NetworkManagerEffectiveConnectivityConfigurationListResult,
    NetworkManagerEffectiveSecurityAdminRulesListResult,
    NetworkManagerListResult,
    NetworkManagerPropertiesNetworkManagerScopes,
    NetworkManagerRoutingConfiguration,
    NetworkManagerRoutingConfigurationListResult,
    NetworkManagerRoutingGroupItem,
    NetworkManagerSecurityGroupItem,
    NetworkProfile,
    NetworkProfileListResult,
    NetworkRule,
    NetworkSecurityGroup,
    NetworkSecurityGroupListResult,
    NetworkSecurityGroupResult,
    NetworkSecurityPerimeter,
    NetworkSecurityPerimeterListResult,
    NetworkSecurityRulesEvaluationResult,
    NetworkVirtualAppliance,
    NetworkVirtualApplianceBootDiagnosticParameters,
    NetworkVirtualApplianceConnection,
    NetworkVirtualApplianceConnectionList,
    NetworkVirtualApplianceInstanceId,
    NetworkVirtualApplianceInstanceIds,
    NetworkVirtualApplianceListResult,
    NetworkVirtualAppliancePropertiesFormatNetworkProfile,
    NetworkVirtualApplianceSiteListResult,
    NetworkVirtualApplianceSku,
    NetworkVirtualApplianceSkuInstances,
    NetworkVirtualApplianceSkuListResult,
    NetworkWatcher,
    NetworkWatcherListResult,
    NextHopParameters,
    NextHopResult,
    NspAccessRule,
    NspAccessRuleListResult,
    NspAssociation,
    NspAssociationsListResult,
    NspLink,
    NspLinkListResult,
    NspLinkReference,
    NspLinkReferenceListResult,
    NspLoggingConfiguration,
    NspLoggingConfigurationListResult,
    NspProfile,
    NspProfileListResult,
    O365BreakOutCategoryPolicies,
    O365PolicyProperties,
    Office365PolicyProperties,
    Operation,
    OperationDisplay,
    OperationListResult,
    OperationPropertiesFormatServiceSpecification,
    OperationStatusResult,
    OrderBy,
    OutboundRule,
    OwaspCrsExclusionEntry,
    P2SConnectionConfiguration,
    P2SVpnConnectionHealth,
    P2SVpnConnectionHealthRequest,
    P2SVpnConnectionRequest,
    P2SVpnGateway,
    P2SVpnProfileParameters,
    PacketCapture,
    PacketCaptureFilter,
    PacketCaptureListResult,
    PacketCaptureMachineScope,
    PacketCaptureParameters,
    PacketCaptureQueryStatusResult,
    PacketCaptureResult,
    PacketCaptureResultProperties,
    PacketCaptureSettings,
    PacketCaptureStorageLocation,
    Parameter,
    PartnerManagedResourceProperties,
    PatchObject,
    PatchRouteFilter,
    PatchRouteFilterRule,
    PeerExpressRouteCircuitConnection,
    PeerExpressRouteCircuitConnectionListResult,
    PeerRoute,
    PerimeterAssociableResource,
    PerimeterAssociableResourcesListResult,
    PerimeterBasedAccessRule,
    PolicySettings,
    PolicySettingsLogScrubbing,
    PoolAssociation,
    PoolAssociationList,
    PoolUsage,
    PrepareNetworkPoliciesRequest,
    PrivateDnsZoneConfig,
    PrivateDnsZoneGroup,
    PrivateDnsZoneGroupListResult,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointIPConfiguration,
    PrivateEndpointListResult,
    PrivateLinkService,
    PrivateLinkServiceConnection,
    PrivateLinkServiceConnectionState,
    PrivateLinkServiceIpConfiguration,
    PrivateLinkServiceListResult,
    PrivateLinkServicePropertiesAutoApproval,
    PrivateLinkServicePropertiesVisibility,
    PrivateLinkServiceVisibility,
    Probe,
    PropagatedRouteTable,
    ProtocolConfiguration,
    ProxyResource,
    PublicIPAddress,
    PublicIPAddressDnsSettings,
    PublicIPAddressListResult,
    PublicIPAddressSku,
    PublicIPPrefix,
    PublicIPPrefixListResult,
    PublicIPPrefixSku,
    PublicIpDdosProtectionStatusResult,
    QosDefinition,
    QosIpRange,
    QosPortRange,
    QueryInboundNatRulePortMappingRequest,
    QueryRequestOptions,
    QueryResults,
    QueryTroubleshootingParameters,
    RadiusServer,
    ReachabilityAnalysisIntent,
    ReachabilityAnalysisIntentListResult,
    ReachabilityAnalysisIntentProperties,
    ReachabilityAnalysisRun,
    ReachabilityAnalysisRunListResult,
    ReachabilityAnalysisRunProperties,
    RecordSet,
    ReferencedPublicIpAddress,
    ResiliencyRecommendationComponents,
    Resource,
    ResourceBasics,
    ResourceNavigationLink,
    ResourceNavigationLinksListResult,
    ResourceSet,
    RetentionPolicyParameters,
    Route,
    RouteFilter,
    RouteFilterListResult,
    RouteFilterRule,
    RouteFilterRuleListResult,
    RouteListResult,
    RouteMap,
    RouteMapRule,
    RouteSourceDetails,
    RouteTable,
    RouteTableListResult,
    RoutingConfiguration,
    RoutingIntent,
    RoutingPolicy,
    RoutingRule,
    RoutingRuleCollection,
    RoutingRuleCollectionListResult,
    RoutingRuleListResult,
    RoutingRuleNextHop,
    RoutingRuleRouteDestination,
    ScopeConnection,
    ScopeConnectionListResult,
    SecurityAdminConfiguration,
    SecurityAdminConfigurationListResult,
    SecurityGroupNetworkInterface,
    SecurityGroupViewParameters,
    SecurityGroupViewResult,
    SecurityPartnerProvider,
    SecurityPartnerProviderListResult,
    SecurityPerimeterProxyResource,
    SecurityPerimeterResource,
    SecurityPerimeterSystemData,
    SecurityRule,
    SecurityRuleAssociations,
    SecurityRuleListResult,
    SecurityUserConfiguration,
    SecurityUserConfigurationListResult,
    SecurityUserGroupItem,
    SecurityUserRule,
    SecurityUserRuleCollection,
    SecurityUserRuleCollectionListResult,
    SecurityUserRuleListResult,
    ServiceAssociationLink,
    ServiceAssociationLinksListResult,
    ServiceEndpointPolicy,
    ServiceEndpointPolicyDefinition,
    ServiceEndpointPolicyDefinitionListResult,
    ServiceEndpointPolicyListResult,
    ServiceEndpointPropertiesFormat,
    ServiceTagInformation,
    ServiceTagInformationListResult,
    ServiceTagInformationPropertiesFormat,
    ServiceTagsListResult,
    SessionIds,
    SharedKeyProperties,
    SignatureOverridesFilterValuesQuery,
    SignatureOverridesFilterValuesResponse,
    SignaturesOverrides,
    SignaturesOverridesList,
    SignaturesOverridesProperties,
    SingleQueryResult,
    Sku,
    StaticCidr,
    StaticCidrList,
    StaticCidrProperties,
    StaticMember,
    StaticMemberListResult,
    StaticRoute,
    StaticRoutesConfig,
    SubResource,
    Subnet,
    SubnetAssociation,
    SubnetListResult,
    SubscriptionId,
    SwapResource,
    SwapResourceListResult,
    SwapResourceProperties,
    SystemData,
    TagsObject,
    Topology,
    TopologyAssociation,
    TopologyParameters,
    TopologyResource,
    TrackedResource,
    TrafficAnalyticsConfigurationProperties,
    TrafficAnalyticsProperties,
    TrafficSelectorPolicy,
    TroubleshootingDetails,
    TroubleshootingParameters,
    TroubleshootingRecommendedActions,
    TroubleshootingResult,
    TunnelConnectionHealth,
    UnprepareNetworkPoliciesRequest,
    UpdateTagsRequest,
    Usage,
    UsageName,
    UsagesListResult,
    VM,
    VerificationIPFlowParameters,
    VerificationIPFlowResult,
    VerifierWorkspace,
    VerifierWorkspaceListResult,
    VerifierWorkspaceProperties,
    VerifierWorkspaceUpdate,
    VerifierWorkspaceUpdateProperties,
    VirtualApplianceAdditionalNicProperties,
    VirtualApplianceIPConfiguration,
    VirtualApplianceIPConfigurationProperties,
    VirtualApplianceNetworkInterfaceConfiguration,
    VirtualApplianceNetworkInterfaceConfigurationProperties,
    VirtualApplianceNicProperties,
    VirtualApplianceSite,
    VirtualApplianceSkuProperties,
    VirtualHub,
    VirtualHubEffectiveRoute,
    VirtualHubEffectiveRouteList,
    VirtualHubId,
    VirtualHubRoute,
    VirtualHubRouteTable,
    VirtualHubRouteTableV2,
    VirtualHubRouteV2,
    VirtualNetwork,
    VirtualNetworkBgpCommunities,
    VirtualNetworkConnectionGatewayReference,
    VirtualNetworkDdosProtectionStatusResult,
    VirtualNetworkEncryption,
    VirtualNetworkGateway,
    VirtualNetworkGatewayAutoScaleBounds,
    VirtualNetworkGatewayAutoScaleConfiguration,
    VirtualNetworkGatewayConnection,
    VirtualNetworkGatewayConnectionListEntity,
    VirtualNetworkGatewayConnectionListResult,
    VirtualNetworkGatewayConnectionTunnelProperties,
    VirtualNetworkGatewayIPConfiguration,
    VirtualNetworkGatewayListConnectionsResult,
    VirtualNetworkGatewayListResult,
    VirtualNetworkGatewayMigrationParameters,
    VirtualNetworkGatewayMigrationStatus,
    VirtualNetworkGatewayNatRule,
    VirtualNetworkGatewayPolicyGroup,
    VirtualNetworkGatewayPolicyGroupMember,
    VirtualNetworkGatewaySku,
    VirtualNetworkListResult,
    VirtualNetworkListUsageResult,
    VirtualNetworkPeering,
    VirtualNetworkPeeringListResult,
    VirtualNetworkTap,
    VirtualNetworkTapListResult,
    VirtualNetworkUsage,
    VirtualNetworkUsageName,
    VirtualRouter,
    VirtualRouterAutoScaleConfiguration,
    VirtualRouterListResult,
    VirtualRouterPeering,
    VirtualRouterPeeringListResult,
    VirtualWAN,
    VirtualWanSecurityProvider,
    VirtualWanSecurityProviders,
    VirtualWanVpnProfileParameters,
    VnetRoute,
    VngClientConnectionConfiguration,
    VpnClientConfiguration,
    VpnClientConnectionHealth,
    VpnClientConnectionHealthDetail,
    VpnClientConnectionHealthDetailListResult,
    VpnClientIPsecParameters,
    VpnClientParameters,
    VpnClientRevokedCertificate,
    VpnClientRootCertificate,
    VpnConnection,
    VpnConnectionPacketCaptureStartParameters,
    VpnConnectionPacketCaptureStopParameters,
    VpnDeviceScriptParameters,
    VpnGateway,
    VpnGatewayIpConfiguration,
    VpnGatewayNatRule,
    VpnGatewayPacketCaptureStartParameters,
    VpnGatewayPacketCaptureStopParameters,
    VpnLinkBgpSettings,
    VpnLinkProviderProperties,
    VpnNatRuleMapping,
    VpnPacketCaptureStartParameters,
    VpnPacketCaptureStopParameters,
    VpnProfileResponse,
    VpnServerConfigRadiusClientRootCertificate,
    VpnServerConfigRadiusServerRootCertificate,
    VpnServerConfigVpnClientRevokedCertificate,
    VpnServerConfigVpnClientRootCertificate,
    VpnServerConfiguration,
    VpnServerConfigurationPolicyGroup,
    VpnServerConfigurationPolicyGroupMember,
    VpnServerConfigurationsResponse,
    VpnSite,
    VpnSiteId,
    VpnSiteLink,
    VpnSiteLinkConnection,
    WebApplicationFirewallCustomRule,
    WebApplicationFirewallPolicy,
    WebApplicationFirewallPolicyListResult,
    WebApplicationFirewallScrubbingRules,
)

from ._network_management_client_enums import (  # type: ignore
    Access,
    AccessRuleDirection,
    ActionType,
    AddressPrefixType,
    AddressSpaceAggregationOption,
    AdminRuleKind,
    AdminState,
    AdvertisedPublicPrefixPropertiesValidationState,
    ApplicationGatewayBackendHealthServerHealth,
    ApplicationGatewayClientRevocationOptions,
    ApplicationGatewayCookieBasedAffinity,
    ApplicationGatewayCustomErrorStatusCode,
    ApplicationGatewayFirewallMode,
    ApplicationGatewayFirewallRateLimitDuration,
    ApplicationGatewayFirewallUserSessionVariable,
    ApplicationGatewayLoadDistributionAlgorithm,
    ApplicationGatewayOperationalState,
    ApplicationGatewayProtocol,
    ApplicationGatewayRedirectType,
    ApplicationGatewayRequestRoutingRuleType,
    ApplicationGatewayRuleSetStatusOptions,
    ApplicationGatewaySkuFamily,
    ApplicationGatewaySkuName,
    ApplicationGatewaySslCipherSuite,
    ApplicationGatewaySslPolicyName,
    ApplicationGatewaySslPolicyType,
    ApplicationGatewaySslProtocol,
    ApplicationGatewayTier,
    ApplicationGatewayTierTypes,
    ApplicationGatewayWafRuleActionTypes,
    ApplicationGatewayWafRuleSensitivityTypes,
    ApplicationGatewayWafRuleStateTypes,
    AssociationAccessMode,
    AssociationType,
    AuthenticationMethod,
    AuthorizationUseStatus,
    AutoLearnPrivateRangesMode,
    AzureFirewallApplicationRuleProtocolType,
    AzureFirewallNatRCActionType,
    AzureFirewallNetworkRuleProtocol,
    AzureFirewallPacketCaptureFlagsType,
    AzureFirewallRCActionType,
    AzureFirewallSkuName,
    AzureFirewallSkuTier,
    AzureFirewallThreatIntelMode,
    BastionConnectProtocol,
    BastionHostSkuName,
    BgpPeerState,
    CircuitConnectionStatus,
    CommissionedState,
    ConfigurationType,
    ConnectedGroupAddressOverlap,
    ConnectedGroupPrivateEndpointsScale,
    ConnectionMonitorEndpointFilterItemType,
    ConnectionMonitorEndpointFilterType,
    ConnectionMonitorSourceStatus,
    ConnectionMonitorTestConfigurationProtocol,
    ConnectionMonitorType,
    ConnectionState,
    ConnectionStatus,
    ConnectivityTopology,
    CoverageLevel,
    CreatedByType,
    CustomIpPrefixType,
    DdosSettingsProtectionMode,
    DeleteExistingPeering,
    DeleteOptions,
    DeploymentStatus,
    DestinationPortBehavior,
    DhGroup,
    Direction,
    DisableBgpRoutePropagation,
    EffectiveAdminRuleKind,
    EffectiveRouteSource,
    EffectiveRouteState,
    EffectiveSecurityRuleProtocol,
    EndpointType,
    EvaluationState,
    ExceptionEntryMatchVariable,
    ExceptionEntrySelectorMatchOperator,
    ExceptionEntryValueMatchOperator,
    ExpressRouteCircuitPeeringAdvertisedPublicPrefixState,
    ExpressRouteCircuitPeeringState,
    ExpressRouteCircuitSkuFamily,
    ExpressRouteCircuitSkuTier,
    ExpressRouteLinkAdminState,
    ExpressRouteLinkConnectorType,
    ExpressRouteLinkMacSecCipher,
    ExpressRouteLinkMacSecSciState,
    ExpressRoutePeeringState,
    ExpressRoutePeeringType,
    ExpressRoutePortAuthorizationUseStatus,
    ExpressRoutePortsBillingType,
    ExpressRoutePortsEncapsulation,
    ExtendedLocationTypes,
    FailoverConnectionStatus,
    FailoverTestStatus,
    FailoverTestStatusForSingleTest,
    FailoverTestType,
    FirewallPolicyFilterRuleCollectionActionType,
    FirewallPolicyIDPSQuerySortOrder,
    FirewallPolicyIDPSSignatureDirection,
    FirewallPolicyIDPSSignatureMode,
    FirewallPolicyIDPSSignatureSeverity,
    FirewallPolicyIntrusionDetectionProfileType,
    FirewallPolicyIntrusionDetectionProtocol,
    FirewallPolicyIntrusionDetectionStateType,
    FirewallPolicyNatRuleCollectionActionType,
    FirewallPolicyRuleApplicationProtocolType,
    FirewallPolicyRuleCollectionType,
    FirewallPolicyRuleNetworkProtocol,
    FirewallPolicyRuleType,
    FirewallPolicySkuTier,
    FlowLogFormatType,
    GatewayLoadBalancerTunnelInterfaceType,
    GatewayLoadBalancerTunnelProtocol,
    Geo,
    GroupConnectivity,
    GroupMemberType,
    HTTPConfigurationMethod,
    HTTPMethod,
    HubBgpConnectionStatus,
    HubRoutingPreference,
    HubVirtualNetworkConnectionStatus,
    IPAllocationMethod,
    IPVersion,
    IkeEncryption,
    IkeIntegrity,
    InboundSecurityRuleType,
    InboundSecurityRulesProtocol,
    IpAllocationType,
    IpFlowProtocol,
    IpType,
    IpsecEncryption,
    IpsecIntegrity,
    IsGlobal,
    IsWorkloadProtected,
    IssueType,
    LoadBalancerBackendAddressAdminState,
    LoadBalancerOutboundRuleProtocol,
    LoadBalancerSkuName,
    LoadBalancerSkuTier,
    LoadDistribution,
    ManagedRuleEnabledState,
    NatGatewaySkuName,
    NetworkIntentPolicyBasedService,
    NetworkInterfaceAuxiliaryMode,
    NetworkInterfaceAuxiliarySku,
    NetworkInterfaceMigrationPhase,
    NetworkInterfaceNicType,
    NetworkOperationStatus,
    NetworkProtocol,
    NextHopType,
    NextStep,
    NicTypeInRequest,
    NicTypeInResponse,
    NspLinkProvisioningState,
    NspLinkStatus,
    NspProvisioningState,
    OfficeTrafficCategory,
    Origin,
    OutputType,
    OwaspCrsExclusionEntryMatchVariable,
    OwaspCrsExclusionEntrySelectorMatchOperator,
    PacketCaptureTargetType,
    PcError,
    PcProtocol,
    PcStatus,
    PeeringEnforcement,
    PfsGroup,
    PreferredIPVersion,
    PreferredRoutingGateway,
    PrivateEndpointVNetPolicies,
    ProbeNoHealthyBackendsBehavior,
    ProbeProtocol,
    ProcessorArchitecture,
    Protocol,
    ProtocolType,
    ProvisioningState,
    PublicIPAddressMigrationPhase,
    PublicIPAddressSkuName,
    PublicIPAddressSkuTier,
    PublicIPPrefixSkuName,
    PublicIPPrefixSkuTier,
    PublicIpAddressDnsSettingsDomainNameLabelScope,
    ResiliencyModel,
    ResourceIdentityType,
    RouteFilterRuleType,
    RouteMapActionType,
    RouteMapMatchCondition,
    RouteNextHopType,
    RoutingRuleDestinationType,
    RoutingRuleNextHopType,
    RoutingState,
    ScopeConnectionState,
    ScrubbingRuleEntryMatchOperator,
    ScrubbingRuleEntryMatchVariable,
    ScrubbingRuleEntryState,
    SecurityConfigurationRuleAccess,
    SecurityConfigurationRuleDirection,
    SecurityConfigurationRuleProtocol,
    SecurityPartnerProviderConnectionStatus,
    SecurityProviderName,
    SecurityRuleAccess,
    SecurityRuleDirection,
    SecurityRuleProtocol,
    SensitivityType,
    ServiceProviderProvisioningState,
    Severity,
    SharingScope,
    SlotType,
    SyncMode,
    SyncRemoteAddressSpace,
    TransportProtocol,
    TunnelConnectionStatus,
    UsageUnit,
    UseHubGateway,
    VerbosityLevel,
    VirtualNetworkEncryptionEnforcement,
    VirtualNetworkGatewayConnectionMode,
    VirtualNetworkGatewayConnectionProtocol,
    VirtualNetworkGatewayConnectionStatus,
    VirtualNetworkGatewayConnectionType,
    VirtualNetworkGatewayMigrationPhase,
    VirtualNetworkGatewayMigrationState,
    VirtualNetworkGatewayMigrationType,
    VirtualNetworkGatewaySkuName,
    VirtualNetworkGatewaySkuTier,
    VirtualNetworkGatewayType,
    VirtualNetworkPeeringLevel,
    VirtualNetworkPeeringState,
    VirtualNetworkPrivateEndpointNetworkPolicies,
    VirtualNetworkPrivateLinkServiceNetworkPolicies,
    VirtualWanSecurityProviderType,
    VnetLocalRouteOverrideCriteria,
    VpnAuthenticationType,
    VpnClientProtocol,
    VpnConnectionStatus,
    VpnGatewayGeneration,
    VpnGatewayTunnelingProtocol,
    VpnLinkConnectionMode,
    VpnNatRuleMode,
    VpnNatRuleType,
    VpnPolicyMemberAttributeType,
    VpnType,
    WebApplicationFirewallAction,
    WebApplicationFirewallEnabledState,
    WebApplicationFirewallMatchVariable,
    WebApplicationFirewallMode,
    WebApplicationFirewallOperator,
    WebApplicationFirewallPolicyResourceState,
    WebApplicationFirewallRuleType,
    WebApplicationFirewallScrubbingState,
    WebApplicationFirewallState,
    WebApplicationFirewallTransform,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AadAuthenticationParameters",
    "Action",
    "ActiveBaseSecurityAdminRule",
    "ActiveConfigurationParameter",
    "ActiveConnectivityConfiguration",
    "ActiveConnectivityConfigurationsListResult",
    "ActiveDefaultSecurityAdminRule",
    "ActiveSecurityAdminRule",
    "ActiveSecurityAdminRulesListResult",
    "AddressPrefixItem",
    "AddressSpace",
    "AdminRule",
    "AdminRuleCollection",
    "AdminRuleCollectionListResult",
    "AdminRuleListResult",
    "AdvertisedPublicPrefixProperties",
    "ApplicationGateway",
    "ApplicationGatewayAuthenticationCertificate",
    "ApplicationGatewayAutoscaleConfiguration",
    "ApplicationGatewayAvailableSslOptions",
    "ApplicationGatewayAvailableSslPredefinedPolicies",
    "ApplicationGatewayAvailableWafRuleSetsResult",
    "ApplicationGatewayBackendAddress",
    "ApplicationGatewayBackendAddressPool",
    "ApplicationGatewayBackendHealth",
    "ApplicationGatewayBackendHealthHttpSettings",
    "ApplicationGatewayBackendHealthOnDemand",
    "ApplicationGatewayBackendHealthPool",
    "ApplicationGatewayBackendHealthServer",
    "ApplicationGatewayBackendHttpSettings",
    "ApplicationGatewayBackendSettings",
    "ApplicationGatewayClientAuthConfiguration",
    "ApplicationGatewayConnectionDraining",
    "ApplicationGatewayCustomError",
    "ApplicationGatewayFirewallDisabledRuleGroup",
    "ApplicationGatewayFirewallExclusion",
    "ApplicationGatewayFirewallManifestRuleSet",
    "ApplicationGatewayFirewallRule",
    "ApplicationGatewayFirewallRuleGroup",
    "ApplicationGatewayFirewallRuleSet",
    "ApplicationGatewayForContainersReferenceDefinition",
    "ApplicationGatewayFrontendIPConfiguration",
    "ApplicationGatewayFrontendPort",
    "ApplicationGatewayGlobalConfiguration",
    "ApplicationGatewayHeaderConfiguration",
    "ApplicationGatewayHttpListener",
    "ApplicationGatewayIPConfiguration",
    "ApplicationGatewayListResult",
    "ApplicationGatewayListener",
    "ApplicationGatewayLoadDistributionPolicy",
    "ApplicationGatewayLoadDistributionTarget",
    "ApplicationGatewayOnDemandProbe",
    "ApplicationGatewayPathRule",
    "ApplicationGatewayPrivateEndpointConnection",
    "ApplicationGatewayPrivateEndpointConnectionListResult",
    "ApplicationGatewayPrivateLinkConfiguration",
    "ApplicationGatewayPrivateLinkIpConfiguration",
    "ApplicationGatewayPrivateLinkResource",
    "ApplicationGatewayPrivateLinkResourceListResult",
    "ApplicationGatewayProbe",
    "ApplicationGatewayProbeHealthResponseMatch",
    "ApplicationGatewayRedirectConfiguration",
    "ApplicationGatewayRequestRoutingRule",
    "ApplicationGatewayRewriteRule",
    "ApplicationGatewayRewriteRuleActionSet",
    "ApplicationGatewayRewriteRuleCondition",
    "ApplicationGatewayRewriteRuleSet",
    "ApplicationGatewayRoutingRule",
    "ApplicationGatewaySku",
    "ApplicationGatewaySslCertificate",
    "ApplicationGatewaySslPolicy",
    "ApplicationGatewaySslPredefinedPolicy",
    "ApplicationGatewaySslProfile",
    "ApplicationGatewayTrustedClientCertificate",
    "ApplicationGatewayTrustedRootCertificate",
    "ApplicationGatewayUrlConfiguration",
    "ApplicationGatewayUrlPathMap",
    "ApplicationGatewayWafDynamicManifestResult",
    "ApplicationGatewayWafDynamicManifestResultList",
    "ApplicationGatewayWebApplicationFirewallConfiguration",
    "ApplicationRule",
    "ApplicationSecurityGroup",
    "ApplicationSecurityGroupListResult",
    "AuthorizationListResult",
    "AutoApprovedPrivateLinkService",
    "AutoApprovedPrivateLinkServicesResult",
    "Availability",
    "AvailableDelegation",
    "AvailableDelegationsResult",
    "AvailablePrivateEndpointType",
    "AvailablePrivateEndpointTypesResult",
    "AvailableProvidersList",
    "AvailableProvidersListCity",
    "AvailableProvidersListCountry",
    "AvailableProvidersListParameters",
    "AvailableProvidersListState",
    "AvailableServiceAlias",
    "AvailableServiceAliasesResult",
    "AzureAsyncOperationResult",
    "AzureFirewall",
    "AzureFirewallApplicationRule",
    "AzureFirewallApplicationRuleCollection",
    "AzureFirewallApplicationRuleProtocol",
    "AzureFirewallAutoscaleConfiguration",
    "AzureFirewallFqdnTag",
    "AzureFirewallFqdnTagListResult",
    "AzureFirewallIPConfiguration",
    "AzureFirewallIpGroups",
    "AzureFirewallListResult",
    "AzureFirewallNatRCAction",
    "AzureFirewallNatRule",
    "AzureFirewallNatRuleCollection",
    "AzureFirewallNetworkRule",
    "AzureFirewallNetworkRuleCollection",
    "AzureFirewallPacketCaptureFlags",
    "AzureFirewallPacketCaptureRule",
    "AzureFirewallPublicIPAddress",
    "AzureFirewallRCAction",
    "AzureFirewallSku",
    "AzureReachabilityReport",
    "AzureReachabilityReportItem",
    "AzureReachabilityReportLatencyInfo",
    "AzureReachabilityReportLocation",
    "AzureReachabilityReportParameters",
    "AzureWebCategory",
    "AzureWebCategoryListResult",
    "BGPCommunity",
    "BackendAddressInboundNatRulePortMappings",
    "BackendAddressPool",
    "BaseAdminRule",
    "BastionActiveSession",
    "BastionActiveSessionListResult",
    "BastionHost",
    "BastionHostIPConfiguration",
    "BastionHostListResult",
    "BastionHostPropertiesFormatNetworkAcls",
    "BastionSessionDeleteResult",
    "BastionSessionState",
    "BastionShareableLink",
    "BastionShareableLinkListRequest",
    "BastionShareableLinkListResult",
    "BastionShareableLinkTokenListRequest",
    "BgpConnection",
    "BgpPeerStatus",
    "BgpPeerStatusListResult",
    "BgpServiceCommunity",
    "BgpServiceCommunityListResult",
    "BgpSettings",
    "BreakOutCategoryPolicies",
    "CheckPrivateLinkServiceVisibilityRequest",
    "ChildResource",
    "CircuitMetadataMap",
    "CloudErrorBody",
    "CommonErrorAdditionalInfo",
    "CommonErrorDetail",
    "CommonErrorResponse",
    "CommonProxyResource",
    "CommonResource",
    "CommonTrackedResource",
    "Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalproperties",
    "ConfigurationGroup",
    "ConnectionMonitor",
    "ConnectionMonitorDestination",
    "ConnectionMonitorEndpoint",
    "ConnectionMonitorEndpointFilter",
    "ConnectionMonitorEndpointFilterItem",
    "ConnectionMonitorEndpointLocationDetails",
    "ConnectionMonitorEndpointScope",
    "ConnectionMonitorEndpointScopeItem",
    "ConnectionMonitorHttpConfiguration",
    "ConnectionMonitorIcmpConfiguration",
    "ConnectionMonitorListResult",
    "ConnectionMonitorOutput",
    "ConnectionMonitorParameters",
    "ConnectionMonitorQueryResult",
    "ConnectionMonitorResult",
    "ConnectionMonitorResultProperties",
    "ConnectionMonitorSource",
    "ConnectionMonitorSuccessThreshold",
    "ConnectionMonitorTcpConfiguration",
    "ConnectionMonitorTestConfiguration",
    "ConnectionMonitorTestGroup",
    "ConnectionMonitorWorkspaceSettings",
    "ConnectionResetSharedKey",
    "ConnectionSharedKey",
    "ConnectionSharedKeyResult",
    "ConnectionSharedKeyResultList",
    "ConnectionStateSnapshot",
    "ConnectivityConfiguration",
    "ConnectivityConfigurationListResult",
    "ConnectivityConfigurationPropertiesConnectivityCapabilities",
    "ConnectivityDestination",
    "ConnectivityGroupItem",
    "ConnectivityHop",
    "ConnectivityInformation",
    "ConnectivityIssue",
    "ConnectivityParameters",
    "ConnectivitySource",
    "Container",
    "ContainerNetworkInterface",
    "ContainerNetworkInterfaceConfiguration",
    "ContainerNetworkInterfaceIpConfiguration",
    "Criterion",
    "CrossTenantScopes",
    "CustomDnsConfigPropertiesFormat",
    "CustomIpPrefix",
    "CustomIpPrefixListResult",
    "DdosCustomPolicy",
    "DdosProtectionPlan",
    "DdosProtectionPlanListResult",
    "DdosSettings",
    "DefaultAdminRule",
    "Delegation",
    "DelegationProperties",
    "DeviceProperties",
    "DhcpOptions",
    "Dimension",
    "DnsNameAvailabilityResult",
    "DnsSettings",
    "DscpConfiguration",
    "DscpConfigurationListResult",
    "EffectiveBaseSecurityAdminRule",
    "EffectiveConnectivityConfiguration",
    "EffectiveDefaultSecurityAdminRule",
    "EffectiveNetworkSecurityGroup",
    "EffectiveNetworkSecurityGroupAssociation",
    "EffectiveNetworkSecurityGroupListResult",
    "EffectiveNetworkSecurityRule",
    "EffectiveRoute",
    "EffectiveRouteListResult",
    "EffectiveRouteMapRoute",
    "EffectiveRouteMapRouteList",
    "EffectiveRoutesParameters",
    "EffectiveSecurityAdminRule",
    "EndpointServiceResult",
    "EndpointServicesListResult",
    "Error",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorDetails",
    "ErrorResponse",
    "EvaluatedNetworkSecurityGroup",
    "ExceptionEntry",
    "ExclusionManagedRule",
    "ExclusionManagedRuleGroup",
    "ExclusionManagedRuleSet",
    "ExplicitProxy",
    "ExpressRouteCircuit",
    "ExpressRouteCircuitArpTable",
    "ExpressRouteCircuitAuthorization",
    "ExpressRouteCircuitConnection",
    "ExpressRouteCircuitConnectionListResult",
    "ExpressRouteCircuitListResult",
    "ExpressRouteCircuitPeering",
    "ExpressRouteCircuitPeeringConfig",
    "ExpressRouteCircuitPeeringId",
    "ExpressRouteCircuitPeeringListResult",
    "ExpressRouteCircuitReference",
    "ExpressRouteCircuitRoutesTable",
    "ExpressRouteCircuitRoutesTableSummary",
    "ExpressRouteCircuitServiceProviderProperties",
    "ExpressRouteCircuitSku",
    "ExpressRouteCircuitStats",
    "ExpressRouteCircuitsArpTableListResult",
    "ExpressRouteCircuitsRoutesTableListResult",
    "ExpressRouteCircuitsRoutesTableSummaryListResult",
    "ExpressRouteConnection",
    "ExpressRouteConnectionId",
    "ExpressRouteConnectionList",
    "ExpressRouteCrossConnection",
    "ExpressRouteCrossConnectionListResult",
    "ExpressRouteCrossConnectionPeering",
    "ExpressRouteCrossConnectionPeeringList",
    "ExpressRouteCrossConnectionRoutesTableSummary",
    "ExpressRouteCrossConnectionsRoutesTableSummaryListResult",
    "ExpressRouteFailoverCircuitResourceDetails",
    "ExpressRouteFailoverConnectionResourceDetails",
    "ExpressRouteFailoverRedundantRoute",
    "ExpressRouteFailoverSingleTestDetails",
    "ExpressRouteFailoverStopApiParameters",
    "ExpressRouteFailoverTestDetails",
    "ExpressRouteGateway",
    "ExpressRouteGatewayList",
    "ExpressRouteGatewayPropertiesAutoScaleConfiguration",
    "ExpressRouteGatewayPropertiesAutoScaleConfigurationBounds",
    "ExpressRouteLink",
    "ExpressRouteLinkListResult",
    "ExpressRouteLinkMacSecConfig",
    "ExpressRoutePort",
    "ExpressRoutePortAuthorization",
    "ExpressRoutePortAuthorizationListResult",
    "ExpressRoutePortListResult",
    "ExpressRoutePortsLocation",
    "ExpressRoutePortsLocationBandwidths",
    "ExpressRoutePortsLocationListResult",
    "ExpressRouteProviderPort",
    "ExpressRouteProviderPortListResult",
    "ExpressRouteServiceProvider",
    "ExpressRouteServiceProviderBandwidthsOffered",
    "ExpressRouteServiceProviderListResult",
    "ExtendedLocation",
    "FailoverConnectionDetails",
    "FilterItems",
    "FirewallPacketCaptureParameters",
    "FirewallPolicy",
    "FirewallPolicyCertificateAuthority",
    "FirewallPolicyDraft",
    "FirewallPolicyFilterRuleCollection",
    "FirewallPolicyFilterRuleCollectionAction",
    "FirewallPolicyHttpHeaderToInsert",
    "FirewallPolicyInsights",
    "FirewallPolicyIntrusionDetection",
    "FirewallPolicyIntrusionDetectionBypassTrafficSpecifications",
    "FirewallPolicyIntrusionDetectionConfiguration",
    "FirewallPolicyIntrusionDetectionSignatureSpecification",
    "FirewallPolicyListResult",
    "FirewallPolicyLogAnalyticsResources",
    "FirewallPolicyLogAnalyticsWorkspace",
    "FirewallPolicyNatRuleCollection",
    "FirewallPolicyNatRuleCollectionAction",
    "FirewallPolicyRule",
    "FirewallPolicyRuleApplicationProtocol",
    "FirewallPolicyRuleCollection",
    "FirewallPolicyRuleCollectionGroup",
    "FirewallPolicyRuleCollectionGroupDraft",
    "FirewallPolicyRuleCollectionGroupListResult",
    "FirewallPolicySNAT",
    "FirewallPolicySQL",
    "FirewallPolicySku",
    "FirewallPolicyThreatIntelWhitelist",
    "FirewallPolicyTransportSecurity",
    "FlowLog",
    "FlowLogFormatParameters",
    "FlowLogInformation",
    "FlowLogListResult",
    "FlowLogStatusParameters",
    "FrontendIPConfiguration",
    "GatewayCustomBgpIpAddressIpConfiguration",
    "GatewayLoadBalancerTunnelInterface",
    "GatewayResiliencyInformation",
    "GatewayResiliencyRecommendation",
    "GatewayRoute",
    "GatewayRouteListResult",
    "GatewayRouteSet",
    "GatewayRouteSetsInformation",
    "GenerateExpressRoutePortsLOARequest",
    "GenerateExpressRoutePortsLOAResult",
    "GetInboundRoutesParameters",
    "GetOutboundRoutesParameters",
    "GetVpnSitesConfigurationRequest",
    "GroupByUserSession",
    "GroupByVariable",
    "HTTPConfiguration",
    "HTTPHeader",
    "HeaderValueMatcher",
    "HopLink",
    "Hub",
    "HubIPAddresses",
    "HubIpConfiguration",
    "HubPublicIPAddresses",
    "HubRoute",
    "HubRouteTable",
    "HubVirtualNetworkConnection",
    "IDPSQueryObject",
    "IPAddressAvailabilityResult",
    "IPConfiguration",
    "IPConfigurationBgpPeeringAddress",
    "IPConfigurationProfile",
    "IPPrefixesList",
    "IPRule",
    "IPTraffic",
    "InboundNatPool",
    "InboundNatRule",
    "InboundNatRuleListResult",
    "InboundNatRulePortMapping",
    "InboundSecurityRule",
    "InboundSecurityRules",
    "IntentContent",
    "InternetIngressPublicIpsProperties",
    "IpAllocation",
    "IpAllocationListResult",
    "IpGroup",
    "IpGroupListResult",
    "IpTag",
    "IpamPool",
    "IpamPoolList",
    "IpamPoolPrefixAllocation",
    "IpamPoolProperties",
    "IpamPoolUpdate",
    "IpamPoolUpdateProperties",
    "IpsecPolicy",
    "Ipv6CircuitConnectionConfig",
    "Ipv6ExpressRouteCircuitPeeringConfig",
    "ListHubRouteTablesResult",
    "ListHubVirtualNetworkConnectionsResult",
    "ListP2SVpnGatewaysResult",
    "ListRouteMapsResult",
    "ListRoutingIntentResult",
    "ListVirtualHubBgpConnectionResults",
    "ListVirtualHubIpConfigurationResults",
    "ListVirtualHubRouteTableV2SResult",
    "ListVirtualHubsResult",
    "ListVirtualNetworkGatewayNatRulesResult",
    "ListVirtualWANsResult",
    "ListVpnConnectionsResult",
    "ListVpnGatewayNatRulesResult",
    "ListVpnGatewaysResult",
    "ListVpnServerConfigurationPolicyGroupsResult",
    "ListVpnServerConfigurationsResult",
    "ListVpnSiteLinkConnectionsResult",
    "ListVpnSiteLinksResult",
    "ListVpnSitesResult",
    "LoadBalancer",
    "LoadBalancerBackendAddress",
    "LoadBalancerBackendAddressPoolListResult",
    "LoadBalancerFrontendIPConfigurationListResult",
    "LoadBalancerHealthPerRule",
    "LoadBalancerHealthPerRulePerBackendAddress",
    "LoadBalancerListResult",
    "LoadBalancerLoadBalancingRuleListResult",
    "LoadBalancerOutboundRuleListResult",
    "LoadBalancerProbeListResult",
    "LoadBalancerSku",
    "LoadBalancerVipSwapRequest",
    "LoadBalancerVipSwapRequestFrontendIPConfiguration",
    "LoadBalancingRule",
    "LocalNetworkGateway",
    "LocalNetworkGatewayListResult",
    "LogSpecification",
    "ManagedRuleGroupOverride",
    "ManagedRuleOverride",
    "ManagedRuleSet",
    "ManagedRuleSetRuleGroup",
    "ManagedRulesDefinition",
    "ManagedServiceIdentity",
    "MatchCondition",
    "MatchVariable",
    "MatchedRule",
    "MetricSpecification",
    "MigrateLoadBalancerToIpBasedRequest",
    "MigratedPools",
    "NatGateway",
    "NatGatewayListResult",
    "NatGatewaySku",
    "NatRule",
    "NatRulePortMapping",
    "NetworkConfigurationDiagnosticParameters",
    "NetworkConfigurationDiagnosticProfile",
    "NetworkConfigurationDiagnosticResponse",
    "NetworkConfigurationDiagnosticResult",
    "NetworkGroup",
    "NetworkGroupListResult",
    "NetworkIntentPolicy",
    "NetworkIntentPolicyConfiguration",
    "NetworkInterface",
    "NetworkInterfaceAssociation",
    "NetworkInterfaceDnsSettings",
    "NetworkInterfaceIPConfiguration",
    "NetworkInterfaceIPConfigurationListResult",
    "NetworkInterfaceIPConfigurationPrivateLinkConnectionProperties",
    "NetworkInterfaceListResult",
    "NetworkInterfaceLoadBalancerListResult",
    "NetworkInterfaceTapConfiguration",
    "NetworkInterfaceTapConfigurationListResult",
    "NetworkManager",
    "NetworkManagerCommit",
    "NetworkManagerConnection",
    "NetworkManagerConnectionListResult",
    "NetworkManagerDeploymentStatus",
    "NetworkManagerDeploymentStatusListResult",
    "NetworkManagerDeploymentStatusParameter",
    "NetworkManagerEffectiveConnectivityConfigurationListResult",
    "NetworkManagerEffectiveSecurityAdminRulesListResult",
    "NetworkManagerListResult",
    "NetworkManagerPropertiesNetworkManagerScopes",
    "NetworkManagerRoutingConfiguration",
    "NetworkManagerRoutingConfigurationListResult",
    "NetworkManagerRoutingGroupItem",
    "NetworkManagerSecurityGroupItem",
    "NetworkProfile",
    "NetworkProfileListResult",
    "NetworkRule",
    "NetworkSecurityGroup",
    "NetworkSecurityGroupListResult",
    "NetworkSecurityGroupResult",
    "NetworkSecurityPerimeter",
    "NetworkSecurityPerimeterListResult",
    "NetworkSecurityRulesEvaluationResult",
    "NetworkVirtualAppliance",
    "NetworkVirtualApplianceBootDiagnosticParameters",
    "NetworkVirtualApplianceConnection",
    "NetworkVirtualApplianceConnectionList",
    "NetworkVirtualApplianceInstanceId",
    "NetworkVirtualApplianceInstanceIds",
    "NetworkVirtualApplianceListResult",
    "NetworkVirtualAppliancePropertiesFormatNetworkProfile",
    "NetworkVirtualApplianceSiteListResult",
    "NetworkVirtualApplianceSku",
    "NetworkVirtualApplianceSkuInstances",
    "NetworkVirtualApplianceSkuListResult",
    "NetworkWatcher",
    "NetworkWatcherListResult",
    "NextHopParameters",
    "NextHopResult",
    "NspAccessRule",
    "NspAccessRuleListResult",
    "NspAssociation",
    "NspAssociationsListResult",
    "NspLink",
    "NspLinkListResult",
    "NspLinkReference",
    "NspLinkReferenceListResult",
    "NspLoggingConfiguration",
    "NspLoggingConfigurationListResult",
    "NspProfile",
    "NspProfileListResult",
    "O365BreakOutCategoryPolicies",
    "O365PolicyProperties",
    "Office365PolicyProperties",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "OperationPropertiesFormatServiceSpecification",
    "OperationStatusResult",
    "OrderBy",
    "OutboundRule",
    "OwaspCrsExclusionEntry",
    "P2SConnectionConfiguration",
    "P2SVpnConnectionHealth",
    "P2SVpnConnectionHealthRequest",
    "P2SVpnConnectionRequest",
    "P2SVpnGateway",
    "P2SVpnProfileParameters",
    "PacketCapture",
    "PacketCaptureFilter",
    "PacketCaptureListResult",
    "PacketCaptureMachineScope",
    "PacketCaptureParameters",
    "PacketCaptureQueryStatusResult",
    "PacketCaptureResult",
    "PacketCaptureResultProperties",
    "PacketCaptureSettings",
    "PacketCaptureStorageLocation",
    "Parameter",
    "PartnerManagedResourceProperties",
    "PatchObject",
    "PatchRouteFilter",
    "PatchRouteFilterRule",
    "PeerExpressRouteCircuitConnection",
    "PeerExpressRouteCircuitConnectionListResult",
    "PeerRoute",
    "PerimeterAssociableResource",
    "PerimeterAssociableResourcesListResult",
    "PerimeterBasedAccessRule",
    "PolicySettings",
    "PolicySettingsLogScrubbing",
    "PoolAssociation",
    "PoolAssociationList",
    "PoolUsage",
    "PrepareNetworkPoliciesRequest",
    "PrivateDnsZoneConfig",
    "PrivateDnsZoneGroup",
    "PrivateDnsZoneGroupListResult",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointIPConfiguration",
    "PrivateEndpointListResult",
    "PrivateLinkService",
    "PrivateLinkServiceConnection",
    "PrivateLinkServiceConnectionState",
    "PrivateLinkServiceIpConfiguration",
    "PrivateLinkServiceListResult",
    "PrivateLinkServicePropertiesAutoApproval",
    "PrivateLinkServicePropertiesVisibility",
    "PrivateLinkServiceVisibility",
    "Probe",
    "PropagatedRouteTable",
    "ProtocolConfiguration",
    "ProxyResource",
    "PublicIPAddress",
    "PublicIPAddressDnsSettings",
    "PublicIPAddressListResult",
    "PublicIPAddressSku",
    "PublicIPPrefix",
    "PublicIPPrefixListResult",
    "PublicIPPrefixSku",
    "PublicIpDdosProtectionStatusResult",
    "QosDefinition",
    "QosIpRange",
    "QosPortRange",
    "QueryInboundNatRulePortMappingRequest",
    "QueryRequestOptions",
    "QueryResults",
    "QueryTroubleshootingParameters",
    "RadiusServer",
    "ReachabilityAnalysisIntent",
    "ReachabilityAnalysisIntentListResult",
    "ReachabilityAnalysisIntentProperties",
    "ReachabilityAnalysisRun",
    "ReachabilityAnalysisRunListResult",
    "ReachabilityAnalysisRunProperties",
    "RecordSet",
    "ReferencedPublicIpAddress",
    "ResiliencyRecommendationComponents",
    "Resource",
    "ResourceBasics",
    "ResourceNavigationLink",
    "ResourceNavigationLinksListResult",
    "ResourceSet",
    "RetentionPolicyParameters",
    "Route",
    "RouteFilter",
    "RouteFilterListResult",
    "RouteFilterRule",
    "RouteFilterRuleListResult",
    "RouteListResult",
    "RouteMap",
    "RouteMapRule",
    "RouteSourceDetails",
    "RouteTable",
    "RouteTableListResult",
    "RoutingConfiguration",
    "RoutingIntent",
    "RoutingPolicy",
    "RoutingRule",
    "RoutingRuleCollection",
    "RoutingRuleCollectionListResult",
    "RoutingRuleListResult",
    "RoutingRuleNextHop",
    "RoutingRuleRouteDestination",
    "ScopeConnection",
    "ScopeConnectionListResult",
    "SecurityAdminConfiguration",
    "SecurityAdminConfigurationListResult",
    "SecurityGroupNetworkInterface",
    "SecurityGroupViewParameters",
    "SecurityGroupViewResult",
    "SecurityPartnerProvider",
    "SecurityPartnerProviderListResult",
    "SecurityPerimeterProxyResource",
    "SecurityPerimeterResource",
    "SecurityPerimeterSystemData",
    "SecurityRule",
    "SecurityRuleAssociations",
    "SecurityRuleListResult",
    "SecurityUserConfiguration",
    "SecurityUserConfigurationListResult",
    "SecurityUserGroupItem",
    "SecurityUserRule",
    "SecurityUserRuleCollection",
    "SecurityUserRuleCollectionListResult",
    "SecurityUserRuleListResult",
    "ServiceAssociationLink",
    "ServiceAssociationLinksListResult",
    "ServiceEndpointPolicy",
    "ServiceEndpointPolicyDefinition",
    "ServiceEndpointPolicyDefinitionListResult",
    "ServiceEndpointPolicyListResult",
    "ServiceEndpointPropertiesFormat",
    "ServiceTagInformation",
    "ServiceTagInformationListResult",
    "ServiceTagInformationPropertiesFormat",
    "ServiceTagsListResult",
    "SessionIds",
    "SharedKeyProperties",
    "SignatureOverridesFilterValuesQuery",
    "SignatureOverridesFilterValuesResponse",
    "SignaturesOverrides",
    "SignaturesOverridesList",
    "SignaturesOverridesProperties",
    "SingleQueryResult",
    "Sku",
    "StaticCidr",
    "StaticCidrList",
    "StaticCidrProperties",
    "StaticMember",
    "StaticMemberListResult",
    "StaticRoute",
    "StaticRoutesConfig",
    "SubResource",
    "Subnet",
    "SubnetAssociation",
    "SubnetListResult",
    "SubscriptionId",
    "SwapResource",
    "SwapResourceListResult",
    "SwapResourceProperties",
    "SystemData",
    "TagsObject",
    "Topology",
    "TopologyAssociation",
    "TopologyParameters",
    "TopologyResource",
    "TrackedResource",
    "TrafficAnalyticsConfigurationProperties",
    "TrafficAnalyticsProperties",
    "TrafficSelectorPolicy",
    "TroubleshootingDetails",
    "TroubleshootingParameters",
    "TroubleshootingRecommendedActions",
    "TroubleshootingResult",
    "TunnelConnectionHealth",
    "UnprepareNetworkPoliciesRequest",
    "UpdateTagsRequest",
    "Usage",
    "UsageName",
    "UsagesListResult",
    "VM",
    "VerificationIPFlowParameters",
    "VerificationIPFlowResult",
    "VerifierWorkspace",
    "VerifierWorkspaceListResult",
    "VerifierWorkspaceProperties",
    "VerifierWorkspaceUpdate",
    "VerifierWorkspaceUpdateProperties",
    "VirtualApplianceAdditionalNicProperties",
    "VirtualApplianceIPConfiguration",
    "VirtualApplianceIPConfigurationProperties",
    "VirtualApplianceNetworkInterfaceConfiguration",
    "VirtualApplianceNetworkInterfaceConfigurationProperties",
    "VirtualApplianceNicProperties",
    "VirtualApplianceSite",
    "VirtualApplianceSkuProperties",
    "VirtualHub",
    "VirtualHubEffectiveRoute",
    "VirtualHubEffectiveRouteList",
    "VirtualHubId",
    "VirtualHubRoute",
    "VirtualHubRouteTable",
    "VirtualHubRouteTableV2",
    "VirtualHubRouteV2",
    "VirtualNetwork",
    "VirtualNetworkBgpCommunities",
    "VirtualNetworkConnectionGatewayReference",
    "VirtualNetworkDdosProtectionStatusResult",
    "VirtualNetworkEncryption",
    "VirtualNetworkGateway",
    "VirtualNetworkGatewayAutoScaleBounds",
    "VirtualNetworkGatewayAutoScaleConfiguration",
    "VirtualNetworkGatewayConnection",
    "VirtualNetworkGatewayConnectionListEntity",
    "VirtualNetworkGatewayConnectionListResult",
    "VirtualNetworkGatewayConnectionTunnelProperties",
    "VirtualNetworkGatewayIPConfiguration",
    "VirtualNetworkGatewayListConnectionsResult",
    "VirtualNetworkGatewayListResult",
    "VirtualNetworkGatewayMigrationParameters",
    "VirtualNetworkGatewayMigrationStatus",
    "VirtualNetworkGatewayNatRule",
    "VirtualNetworkGatewayPolicyGroup",
    "VirtualNetworkGatewayPolicyGroupMember",
    "VirtualNetworkGatewaySku",
    "VirtualNetworkListResult",
    "VirtualNetworkListUsageResult",
    "VirtualNetworkPeering",
    "VirtualNetworkPeeringListResult",
    "VirtualNetworkTap",
    "VirtualNetworkTapListResult",
    "VirtualNetworkUsage",
    "VirtualNetworkUsageName",
    "VirtualRouter",
    "VirtualRouterAutoScaleConfiguration",
    "VirtualRouterListResult",
    "VirtualRouterPeering",
    "VirtualRouterPeeringListResult",
    "VirtualWAN",
    "VirtualWanSecurityProvider",
    "VirtualWanSecurityProviders",
    "VirtualWanVpnProfileParameters",
    "VnetRoute",
    "VngClientConnectionConfiguration",
    "VpnClientConfiguration",
    "VpnClientConnectionHealth",
    "VpnClientConnectionHealthDetail",
    "VpnClientConnectionHealthDetailListResult",
    "VpnClientIPsecParameters",
    "VpnClientParameters",
    "VpnClientRevokedCertificate",
    "VpnClientRootCertificate",
    "VpnConnection",
    "VpnConnectionPacketCaptureStartParameters",
    "VpnConnectionPacketCaptureStopParameters",
    "VpnDeviceScriptParameters",
    "VpnGateway",
    "VpnGatewayIpConfiguration",
    "VpnGatewayNatRule",
    "VpnGatewayPacketCaptureStartParameters",
    "VpnGatewayPacketCaptureStopParameters",
    "VpnLinkBgpSettings",
    "VpnLinkProviderProperties",
    "VpnNatRuleMapping",
    "VpnPacketCaptureStartParameters",
    "VpnPacketCaptureStopParameters",
    "VpnProfileResponse",
    "VpnServerConfigRadiusClientRootCertificate",
    "VpnServerConfigRadiusServerRootCertificate",
    "VpnServerConfigVpnClientRevokedCertificate",
    "VpnServerConfigVpnClientRootCertificate",
    "VpnServerConfiguration",
    "VpnServerConfigurationPolicyGroup",
    "VpnServerConfigurationPolicyGroupMember",
    "VpnServerConfigurationsResponse",
    "VpnSite",
    "VpnSiteId",
    "VpnSiteLink",
    "VpnSiteLinkConnection",
    "WebApplicationFirewallCustomRule",
    "WebApplicationFirewallPolicy",
    "WebApplicationFirewallPolicyListResult",
    "WebApplicationFirewallScrubbingRules",
    "Access",
    "AccessRuleDirection",
    "ActionType",
    "AddressPrefixType",
    "AddressSpaceAggregationOption",
    "AdminRuleKind",
    "AdminState",
    "AdvertisedPublicPrefixPropertiesValidationState",
    "ApplicationGatewayBackendHealthServerHealth",
    "ApplicationGatewayClientRevocationOptions",
    "ApplicationGatewayCookieBasedAffinity",
    "ApplicationGatewayCustomErrorStatusCode",
    "ApplicationGatewayFirewallMode",
    "ApplicationGatewayFirewallRateLimitDuration",
    "ApplicationGatewayFirewallUserSessionVariable",
    "ApplicationGatewayLoadDistributionAlgorithm",
    "ApplicationGatewayOperationalState",
    "ApplicationGatewayProtocol",
    "ApplicationGatewayRedirectType",
    "ApplicationGatewayRequestRoutingRuleType",
    "ApplicationGatewayRuleSetStatusOptions",
    "ApplicationGatewaySkuFamily",
    "ApplicationGatewaySkuName",
    "ApplicationGatewaySslCipherSuite",
    "ApplicationGatewaySslPolicyName",
    "ApplicationGatewaySslPolicyType",
    "ApplicationGatewaySslProtocol",
    "ApplicationGatewayTier",
    "ApplicationGatewayTierTypes",
    "ApplicationGatewayWafRuleActionTypes",
    "ApplicationGatewayWafRuleSensitivityTypes",
    "ApplicationGatewayWafRuleStateTypes",
    "AssociationAccessMode",
    "AssociationType",
    "AuthenticationMethod",
    "AuthorizationUseStatus",
    "AutoLearnPrivateRangesMode",
    "AzureFirewallApplicationRuleProtocolType",
    "AzureFirewallNatRCActionType",
    "AzureFirewallNetworkRuleProtocol",
    "AzureFirewallPacketCaptureFlagsType",
    "AzureFirewallRCActionType",
    "AzureFirewallSkuName",
    "AzureFirewallSkuTier",
    "AzureFirewallThreatIntelMode",
    "BastionConnectProtocol",
    "BastionHostSkuName",
    "BgpPeerState",
    "CircuitConnectionStatus",
    "CommissionedState",
    "ConfigurationType",
    "ConnectedGroupAddressOverlap",
    "ConnectedGroupPrivateEndpointsScale",
    "ConnectionMonitorEndpointFilterItemType",
    "ConnectionMonitorEndpointFilterType",
    "ConnectionMonitorSourceStatus",
    "ConnectionMonitorTestConfigurationProtocol",
    "ConnectionMonitorType",
    "ConnectionState",
    "ConnectionStatus",
    "ConnectivityTopology",
    "CoverageLevel",
    "CreatedByType",
    "CustomIpPrefixType",
    "DdosSettingsProtectionMode",
    "DeleteExistingPeering",
    "DeleteOptions",
    "DeploymentStatus",
    "DestinationPortBehavior",
    "DhGroup",
    "Direction",
    "DisableBgpRoutePropagation",
    "EffectiveAdminRuleKind",
    "EffectiveRouteSource",
    "EffectiveRouteState",
    "EffectiveSecurityRuleProtocol",
    "EndpointType",
    "EvaluationState",
    "ExceptionEntryMatchVariable",
    "ExceptionEntrySelectorMatchOperator",
    "ExceptionEntryValueMatchOperator",
    "ExpressRouteCircuitPeeringAdvertisedPublicPrefixState",
    "ExpressRouteCircuitPeeringState",
    "ExpressRouteCircuitSkuFamily",
    "ExpressRouteCircuitSkuTier",
    "ExpressRouteLinkAdminState",
    "ExpressRouteLinkConnectorType",
    "ExpressRouteLinkMacSecCipher",
    "ExpressRouteLinkMacSecSciState",
    "ExpressRoutePeeringState",
    "ExpressRoutePeeringType",
    "ExpressRoutePortAuthorizationUseStatus",
    "ExpressRoutePortsBillingType",
    "ExpressRoutePortsEncapsulation",
    "ExtendedLocationTypes",
    "FailoverConnectionStatus",
    "FailoverTestStatus",
    "FailoverTestStatusForSingleTest",
    "FailoverTestType",
    "FirewallPolicyFilterRuleCollectionActionType",
    "FirewallPolicyIDPSQuerySortOrder",
    "FirewallPolicyIDPSSignatureDirection",
    "FirewallPolicyIDPSSignatureMode",
    "FirewallPolicyIDPSSignatureSeverity",
    "FirewallPolicyIntrusionDetectionProfileType",
    "FirewallPolicyIntrusionDetectionProtocol",
    "FirewallPolicyIntrusionDetectionStateType",
    "FirewallPolicyNatRuleCollectionActionType",
    "FirewallPolicyRuleApplicationProtocolType",
    "FirewallPolicyRuleCollectionType",
    "FirewallPolicyRuleNetworkProtocol",
    "FirewallPolicyRuleType",
    "FirewallPolicySkuTier",
    "FlowLogFormatType",
    "GatewayLoadBalancerTunnelInterfaceType",
    "GatewayLoadBalancerTunnelProtocol",
    "Geo",
    "GroupConnectivity",
    "GroupMemberType",
    "HTTPConfigurationMethod",
    "HTTPMethod",
    "HubBgpConnectionStatus",
    "HubRoutingPreference",
    "HubVirtualNetworkConnectionStatus",
    "IPAllocationMethod",
    "IPVersion",
    "IkeEncryption",
    "IkeIntegrity",
    "InboundSecurityRuleType",
    "InboundSecurityRulesProtocol",
    "IpAllocationType",
    "IpFlowProtocol",
    "IpType",
    "IpsecEncryption",
    "IpsecIntegrity",
    "IsGlobal",
    "IsWorkloadProtected",
    "IssueType",
    "LoadBalancerBackendAddressAdminState",
    "LoadBalancerOutboundRuleProtocol",
    "LoadBalancerSkuName",
    "LoadBalancerSkuTier",
    "LoadDistribution",
    "ManagedRuleEnabledState",
    "NatGatewaySkuName",
    "NetworkIntentPolicyBasedService",
    "NetworkInterfaceAuxiliaryMode",
    "NetworkInterfaceAuxiliarySku",
    "NetworkInterfaceMigrationPhase",
    "NetworkInterfaceNicType",
    "NetworkOperationStatus",
    "NetworkProtocol",
    "NextHopType",
    "NextStep",
    "NicTypeInRequest",
    "NicTypeInResponse",
    "NspLinkProvisioningState",
    "NspLinkStatus",
    "NspProvisioningState",
    "OfficeTrafficCategory",
    "Origin",
    "OutputType",
    "OwaspCrsExclusionEntryMatchVariable",
    "OwaspCrsExclusionEntrySelectorMatchOperator",
    "PacketCaptureTargetType",
    "PcError",
    "PcProtocol",
    "PcStatus",
    "PeeringEnforcement",
    "PfsGroup",
    "PreferredIPVersion",
    "PreferredRoutingGateway",
    "PrivateEndpointVNetPolicies",
    "ProbeNoHealthyBackendsBehavior",
    "ProbeProtocol",
    "ProcessorArchitecture",
    "Protocol",
    "ProtocolType",
    "ProvisioningState",
    "PublicIPAddressMigrationPhase",
    "PublicIPAddressSkuName",
    "PublicIPAddressSkuTier",
    "PublicIPPrefixSkuName",
    "PublicIPPrefixSkuTier",
    "PublicIpAddressDnsSettingsDomainNameLabelScope",
    "ResiliencyModel",
    "ResourceIdentityType",
    "RouteFilterRuleType",
    "RouteMapActionType",
    "RouteMapMatchCondition",
    "RouteNextHopType",
    "RoutingRuleDestinationType",
    "RoutingRuleNextHopType",
    "RoutingState",
    "ScopeConnectionState",
    "ScrubbingRuleEntryMatchOperator",
    "ScrubbingRuleEntryMatchVariable",
    "ScrubbingRuleEntryState",
    "SecurityConfigurationRuleAccess",
    "SecurityConfigurationRuleDirection",
    "SecurityConfigurationRuleProtocol",
    "SecurityPartnerProviderConnectionStatus",
    "SecurityProviderName",
    "SecurityRuleAccess",
    "SecurityRuleDirection",
    "SecurityRuleProtocol",
    "SensitivityType",
    "ServiceProviderProvisioningState",
    "Severity",
    "SharingScope",
    "SlotType",
    "SyncMode",
    "SyncRemoteAddressSpace",
    "TransportProtocol",
    "TunnelConnectionStatus",
    "UsageUnit",
    "UseHubGateway",
    "VerbosityLevel",
    "VirtualNetworkEncryptionEnforcement",
    "VirtualNetworkGatewayConnectionMode",
    "VirtualNetworkGatewayConnectionProtocol",
    "VirtualNetworkGatewayConnectionStatus",
    "VirtualNetworkGatewayConnectionType",
    "VirtualNetworkGatewayMigrationPhase",
    "VirtualNetworkGatewayMigrationState",
    "VirtualNetworkGatewayMigrationType",
    "VirtualNetworkGatewaySkuName",
    "VirtualNetworkGatewaySkuTier",
    "VirtualNetworkGatewayType",
    "VirtualNetworkPeeringLevel",
    "VirtualNetworkPeeringState",
    "VirtualNetworkPrivateEndpointNetworkPolicies",
    "VirtualNetworkPrivateLinkServiceNetworkPolicies",
    "VirtualWanSecurityProviderType",
    "VnetLocalRouteOverrideCriteria",
    "VpnAuthenticationType",
    "VpnClientProtocol",
    "VpnConnectionStatus",
    "VpnGatewayGeneration",
    "VpnGatewayTunnelingProtocol",
    "VpnLinkConnectionMode",
    "VpnNatRuleMode",
    "VpnNatRuleType",
    "VpnPolicyMemberAttributeType",
    "VpnType",
    "WebApplicationFirewallAction",
    "WebApplicationFirewallEnabledState",
    "WebApplicationFirewallMatchVariable",
    "WebApplicationFirewallMode",
    "WebApplicationFirewallOperator",
    "WebApplicationFirewallPolicyResourceState",
    "WebApplicationFirewallRuleType",
    "WebApplicationFirewallScrubbingState",
    "WebApplicationFirewallState",
    "WebApplicationFirewallTransform",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
